<h3 style="text-align: center; padding-top: 5px;">Add Pokémon</h3>
<form [formGroup]="addPokemonForm" class="form" (ngSubmit)="onSubmit()">
    <div class="container-edit">
        <label for="name"> </label>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Name</span>
            </div>
            <input formControlName="name" id="nameInput" minlength="3" placeholder="Enter your Pokémon name" type="text"
                class="form-control" required />
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Image</span>
            </div>
            <input formControlName="pokemonImageURL" type="text" class="form-control" aria-label="email"
                aria-describedby="inputGroup-sizing-sm" placeholder="Paste the URL to the Pokémon image" required />
        </div>
        <div *ngIf="
        addPokemonForm.controls['nature'].invalid &&
        (addPokemonForm.controls['nature'].dirty || addPokemonForm.controls['nature'].touched)
      ">
            <div class="alert alert-danger">
                <div *ngIf="addPokemonForm.controls['nature'].invalid">Nature field is required</div>
            </div>
        </div>
        <div *ngIf="
        addPokemonForm.controls['name'].invalid &&
        (addPokemonForm.controls['name'].dirty || addPokemonForm.controls['name'].touched)
      ">
            <div class="alert alert-danger">
                <div *ngIf="addPokemonForm.controls['name'].invalid">Name field is required</div>
            </div>
            <div *ngIf="addPokemonForm.controls['name'].invalid" class="invalid-feedback">
                Minimum characters for name is 2
            </div>
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Ability</span>
            </div>
            <input formControlName="ability" id="nameInput" minlength="3" placeholder="Enter your Pokémon ability"
                type="text" class="form-control" required />
        </div>
        <div *ngIf="
        addPokemonForm.controls['ability'].invalid &&
        (addPokemonForm.controls['ability'].dirty || addPokemonForm.controls['ability'].touched)
      ">
            <div class="alert alert-danger">
                <div *ngIf="addPokemonForm.controls['ability'].invalid">Last name field is required</div>
            </div>
            <div *ngIf="addPokemonForm.controls['ability'].invalid" class="invalid-feedback">
                Minimum characters for name is 2
            </div>
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Nature</span>
            </div>
            <input formControlName="nature" type="text" class="form-control" aria-label="email"
                aria-describedby="inputGroup-sizing-sm" placeholder="Enter the nature of the Pokémon" required />
        </div>
        <div *ngIf="
        addPokemonForm.controls['nature'].invalid &&
        (addPokemonForm.controls['nature'].dirty || addPokemonForm.controls['nature'].touched)
      ">
            <div class="alert alert-danger">
                <div *ngIf="addPokemonForm.controls['nature'].invalid">Nature field is required</div>
            </div>
        </div>
        <div>
            <div class="input-group input-group-sm mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="inputGroup-sizing-sm">Type 1</span>
                </div>
                <select formControlName="type1" class="form-control" required>
                    <option></option>
                    <option *ngFor="let type of pokemonTypes" [ngValue]="type">{{type}}</option>
                </select>
            </div>
        </div>
        <div class="input-group input-group-sm mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroup-sizing-sm">Type 2</span>
            </div>
            <select formControlName="type2" class="form-control">
                <option></option>
                <option *ngFor="let type of pokemonTypes" [ngValue]="type">{{type}}</option>
            </select>
        </div>
        <br />
    </div>
    <div>
        <div style="  display: flex;
        justify-content: center;
        align-items: center;" class="center">
            <button style="justify-self: center;" type="submit" class="btn btn-success"
                [disabled]="addPokemonForm.invalid">Save</button>
        </div>
        <button type="button" class="close" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        <br>
    </div>
</form>